Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Class Methods | Properties | List of all members
CSMediaServicesInstance Class Reference

`#import <CSMediaServicesInstance.h>`

Inherits NSObject.

## Instance Methods
(id) | - initWithAudio:video:
| Init with set audio and video configurations. More...
(id) | - initWithAudio:video:queue:
(void) | - setMinTLSVersion:

## Class Methods
(CSMediaLogLevel) | + logLevel
(void) | + setLogLevel:
(void) | + setLogProvider:
(id< CSMediaLogProvider >) | + logProvider
(NSString *) | + versionString

## Properties
void * | nativeEngine
id< CSDevice > | deviceInterface
id< CSAudioInterface > | audioInterface
id< CSVideoInterface > | videoInterface

## Method Documentation

- (id) initWithAudio: |  | (CSVoIPConfigurationAudio *) | voIPaudioConfig
video: |  | (CSVoIPConfigurationVideo *) | voIPvideoConfig

Init with set audio and video configurations.

Parameters

  voIPaudioConfig | The configured audio settings.
  voIPvideoConfig | The configured video settings.

Returns
  self.

- (id) initWithAudio: |  | (CSVoIPConfigurationAudio *) | voIPaudioConfig
video: |  | (CSVoIPConfigurationVideo *) | voIPvideoConfig
queue: |  | (dispatch_queue_t) | queue

+ (CSMediaLogLevel) logLevel |  |  |

+ (id<CSMediaLogProvider>) logProvider |  |  |

+ (void) setLogLevel: |  | (CSMediaLogLevel) | level |

+ (void) setLogProvider: |  | (id< CSMediaLogProvider >) | provider |

- (void) setMinTLSVersion: |  | (CSTLSVersion) | version |

+ (NSString*) versionString |  |  |

## Property Documentation

- (id<CSAudioInterface>) audioInterface
| read nonatomic assign

- (id<CSDevice>) deviceInterface
| read nonatomic assign

- (void*) nativeEngine
| read nonatomic assign

- (id<CSVideoInterface>) videoInterface
| read nonatomic assign

The documentation for this class was generated from the following file:

- CSMediaServicesInstance.h